Bug 828052 - Retire python-cjson (dead upstream)
Retire python-cjson (dead upstream)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-cjson (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Schwarz
Fedora Extras Quality Assurance
:
Depends On: 828054 828056 828057 828059 828060 828061
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 03:00 EDT by Felix Schwarz
Modified: 2013-10-01 04:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 04:11:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2012-06-04 03:00:42 EDT
python-cjson should be retired as the development has been discontinued (last release in 2007). Furthermore the module contains compiled C code which is prone to potential security issues (especially as the module will likely work on untrusted user input). Other json libraries in Python are faster now due to continouos improvements and switching from one library to another should be trivial.

Therefore python-cjson should be retired.
Comment 1 Fedora End Of Life 2013-04-03 15:21:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Felix Schwarz 2013-10-01 04:11:04 EDT
package is retired now for F20/rawhide. We'll keep it in EPEL+F18/F19 so we don't break existing setups.

Note You need to log in before you can comment on or make changes to this bug.